.services {
    padding: 40px 0;

    &__header {

    }

    &__group {
        margin-bottom: 64px;

        &:last-child {
            margin-bottom: 0;
        }
    }

    &__main {

        .swiper-container {
            overflow: visible;
        }
    }

    &__title {
        margin-bottom: 8px;
    }

    &__text {
        margin-bottom: 24px;
    }

    &__item {
        color: $primary;
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        text-decoration: none;
        border-radius: 8px;
        padding: 16px 12px 16px 24px;
        border: 1px solid $accent;
        display: flex;
        flex-direction: column;

        &--num {
            flex-grow: 1;
            color: $accent;
        }

        &--sm {
            width: 176px;
            height: 112px;
        }

        &--md {
            width: 248px;
            height: 136px;
        }

        &:hover {
            color: $white;
            background: $accent;
            text-decoration: none;

            .services__item--num {
                color: $white;
            }
        }
    }

    &__list {
        margin: 0;
        padding: 16px 0 0 0;
        list-style: none;
        display: grid;
        grid-row-gap: 24px;
        font-size: size-rel(12px);
        line-height: size-rel(22px);

        &--icon {
            font-size: 0;
            line-height: 0;
            margin-bottom: 16px;
        }
    }

    @include media-breakpoint-up(md) {
        padding-bottom: 80px;

        &__list {
            padding-top: 16px;
            grid-column-gap: 24px;
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: 160px;
        padding-bottom: 160px;

        &__header {
            margin-bottom: 80px;
        }

        &__title {
            margin-bottom: 24px;
        }

        &__text {
            max-width: 770px;
            font-weight: 500;
            margin-bottom: 40px;
        }

        &__item {
            font-size: size-rel(14px);
            line-height: size-rel(24px);

            &--sm {
                width: 184px;
                height: 128px;
            }

            &--md {
                width: 336px;
                height: 160px;
            }
        }

        &__group {
            margin-bottom: 80px;
        }

        &__list {
            font-size: size-rel(14px);
            line-height: size-rel(24px);
            grid-column-gap: 48px;
            grid-row-gap: 80px;
            grid-template-columns: 1fr 1fr 1fr;

            &--icon {
                margin-bottom: 24px;
            }

            &--item {

                &:nth-child(7) {
                    grid-column: 1/3;
                }
            }
        }

        &__main {
            position: relative;

            &:before {
                top: -10px;
                bottom: 0;
                right: 100%;
                content: '';
                z-index: 10;
                width: 2000px;
                display: block;
                background: $white;
                position: absolute;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            border-color: $gray;

            &--num {
                color: $secondary;
            }

            &:hover {
                border-color: $accent;

                .services__item--num {
                    color: $white;
                }
            }
        }

    }
    @include media-breakpoint-up(xxl) {}
}
